HDFS(1)

NAME
hdfs - hdfs - HDFS client

SYNOPSIS
hdfs COMMAND

DESCRIPTION
hdfs aims to be an idiomatic HDFS client, enabling your favourite unix verbs. Flags available are a subset of the POSIX ones, but should behave similarly.

OPTIONS

  Valid commands:

    ls [-lah] [FILE]...

    rm [-rf] FILE...

    mv [-fT] SOURCE... DEST

    mkdir [-p] FILE...

    touch [-amc] FILE...

    chmod [-R] OCTAL-MODE FILE...

    chown [-R] OWNER[:GROUP] FILE...

    cat SOURCE...

    head [-n LINES | -c BYTES] SOURCE...

    tail [-n LINES | -c BYTES] SOURCE...

    du [-sh] FILE...

    checksum FILE...

    get SOURCE [DEST]

    getmerge SOURCE DEST

    put SOURCE DEST